Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRI, XRISyntaxComponent

    public class XRI3

extends XRI3SyntaxComponent
implements XRI

See Also:
  Serialized Form

Constructor Summary
`XRI3(java.lang.Character gcs, java.lang.String uri)`
`XRI3(java.lang.String string)`
`XRI3(XRI xri, java.lang.String xriPart)`
`XRI3(XRI xri, XRISyntaxComponent xriPart)`

Method Summary
`XRIAuthority` | `getAuthority()`
`XRIFragment` | `getFragment()`
`Rule` | `getParserObject()`
`XRIPath` | `getPath()`
`XRIQuery` | `getQuery()`
`boolean` | `hasAuthority()`
`boolean` | `hasFragment()`
`boolean` | `hasPath()`
`boolean` | `hasQuery()`
`boolean` | `isIName()`
`boolean` | `isINumber()`
`boolean` | `isReserved()`
`boolean` | `isValidXRIReference()`
`boolean` | `startsWith(XRI xri)`
`java.lang.String` | `toIRINormalForm()`
`XRI3Reference` | `toXRI3Reference()`
`XRIReference` | `toXRIReference()`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3

    public XRI3(java.lang.String string)
         throws ParserException

Throws:
  `ParserException`

### XRI3

    public XRI3(XRI xri,
                XRISyntaxComponent xriPart)
         throws ParserException

Throws:
  `ParserException`

### XRI3

    public XRI3(XRI xri,
                java.lang.String xriPart)
         throws ParserException

Throws:
  `ParserException`

### XRI3

    public XRI3(java.lang.Character gcs,
                java.lang.String uri)
         throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### hasAuthority

    public boolean hasAuthority()

  Specified by:
    `hasAuthority` in interface `XRI`

### hasPath

    public boolean hasPath()

  Specified by:
    `hasPath` in interface `XRI`

### hasQuery

    public boolean hasQuery()

  Specified by:
    `hasQuery` in interface `XRI`

### hasFragment

    public boolean hasFragment()

  Specified by:
    `hasFragment` in interface `XRI`

### getAuthority

    public XRIAuthority getAuthority()

  Specified by:
    `getAuthority` in interface `XRI`

### getPath

    public XRIPath getPath()

  Specified by:
    `getPath` in interface `XRI`

### getQuery

    public XRIQuery getQuery()

  Specified by:
    `getQuery` in interface `XRI`

### getFragment

    public XRIFragment getFragment()

  Specified by:
    `getFragment` in interface `XRI`

### isIName

    public boolean isIName()

  Specified by:
    `isIName` in interface `XRI`

### isINumber

    public boolean isINumber()

  Specified by:
    `isINumber` in interface `XRI`

### isReserved

    public boolean isReserved()

  Specified by:
    `isReserved` in interface `XRI`

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Specified by:
    `toIRINormalForm` in interface `XRISyntaxComponent`
  Overrides:
    `toIRINormalForm` in class `XRI3SyntaxComponent`

### isValidXRIReference

    public boolean isValidXRIReference()

  Specified by:
    `isValidXRIReference` in interface `XRI`

### toXRIReference

    public XRIReference toXRIReference()
                                throws ParserException

  Specified by:
    `toXRIReference` in interface `XRI`
  Throws:
    `ParserException`

### toXRI3Reference

    public XRI3Reference toXRI3Reference()
                                  throws ParserException

  Throws:
    `ParserException`

### startsWith

    public boolean startsWith(XRI xri)

  Specified by:
    `startsWith` in interface `XRI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.